Bug 113090 - Typo in document prevents ipsec from working
Typo in document prevents ipsec from working
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rhel-sg (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Ha
John Ha
:
: 118683 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-08 08:45 EST by Erwin Paternotte
Modified: 2014-08-04 18:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 11:37:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erwin Paternotte 2004-01-08 08:45:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007

Description of problem:
There is a small typo in the 6.11 section (IPsec Host-to-Host
Configuration) of the Red Hat Security Guide. In the example of the
ifcfg-ipsec0 configuration, the value for the TYPE parameter is
written as IPsec. 

After some testing I came to the conclusion this has to be IPSEC with
all capitals, otherwise the ipsec tunnel won't work if you start it by
hand with the ifup command.

Apparently when no capitals are used the value for the TYPE parameter
is not correctly handled by the network-functions script. 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create an ifcfg-ipsec0 configuration file as described in section
6.11 of the Security Guide.
2. Start the ipsec connection with the following command: ifup ipsec0
    

Actual Results:  When the ifup command is executed the output of how
to use the ethtool is printed on the screen and the last line is
displaying the following error message:
Missing config file ifcfg-ifcfg-ipsec0

Expected Results:  The IPsec connection should be started when the
ifup ipsec0 commando is executed.

Additional info:

Maybe the network-functions script should be made case insensitive.
Comment 1 Johnray Fuller 2004-08-24 17:45:18 EDT
Reassigning to maintainer.

J
Comment 2 John Ha 2004-10-19 11:37:16 EDT
Thank you for your bug report, and for finding this typo.
You are correct, the network scripts are case sensitive so the
TYPE parameter must equal "IPSEC". The fix will appear in
the next version of the Red Hat Enterprise Linux Security Guide.

Thanks again,
John
Comment 3 Bill Nottingham 2005-03-11 18:02:48 EST
*** Bug 118683 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.